Get available promoters
curl --request GET \
--url https://api.firstpromoter.com/api/v2/company/promoters \
--header 'Account-ID: <account-id>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firstpromoter.com/api/v2/company/promoters"
headers = {
"Account-ID": "<account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Account-ID': '<account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.firstpromoter.com/api/v2/company/promoters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"email": "<string>",
"name": "<string>",
"cust_id": "<string>",
"note": "<string>",
"stats": {
"clicks_count": 123,
"referrals_count": 123,
"sales_count": 123,
"customers_count": 123,
"revenue_amount": 123,
"active_customers_count": 123
},
"is_customized": true,
"fraud_suspicions": [
"<string>"
],
"is_confirmed": true,
"profile": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"company_number": "<string>",
"phone_number": "<string>",
"vat_id": "<string>",
"country": "US",
"address": "<string>",
"avatar": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"description": "<string>",
"invoice_details_validation_errors": {},
"should_validate_invoice_details": true,
"instagram_url": "<string>",
"youtube_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"twitter_url": "<string>",
"twitch_url": "<string>",
"tiktok_url": "<string>"
},
"joined_at": "2023-11-07T05:31:56Z",
"last_login_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"custom_fields": {},
"password_setup_url": "<string>",
"first_event_at": "2023-11-07T05:31:56Z",
"promoter_campaigns": [
{
"id": 123,
"campaign_id": 123,
"promoter_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"campaign": {
"id": 123,
"name": "<string>",
"color": "<string>"
},
"coupon": "<string>",
"ref_token": "<string>",
"ref_link": "<string>"
}
],
"balances": {
"cash": 123,
"credits": 123,
"points": 123,
"free_months": 123,
"discount": 123
},
"track_ad_traffic": true,
"auth_provider": "<string>",
"selected_payout_method": {
"id": 123,
"method": "<string>",
"date_added": "2023-11-07T05:31:56Z",
"is_disabled": true
},
"parent_promoter": {
"id": 123,
"email": "<string>",
"name": "<string>"
}
}
],
"meta": {
"pending_count": 123
}
}Promoters
Get available promoters
With this endpoint you can list all promoters.
HTTP Request
GET https://api.firstpromoter.com/api/v2/company/promotersGET
/
promoters
Get available promoters
Authorizations
API key passed as a Bearer token in the Authorization header. You can find your API Key on Your FirstPromoter Dashboard. Navigate to Settings → Integrations section → Manage API Keys
Headers
Account id. You can find your Account ID on Your FirstPromoter Dashboard. Navigate to Settings → Integrations
Query Parameters
Search params for promoters, search using, email, name or ref_id
Array of promoter ids to get
Filter params
Show child attributes
Show child attributes
Sorting params
Show child attributes
Show child attributes
⌘I